function y=plst(x)
% Y=PLST(X)
% contours a 512-long state vector according to defaults used defined in for
% example /data1/dimitri/gfdl/exp/cgf.mat created by
% /data1/dimitri/gfdl/exp/state.m.old

lat=10.5:8:66.5;long=145.5:8:265.5;clf reset
[lx ly]=meshgrid(145.5:8:233.5,10.5:8:58.5);

xx=x(1:128);s=(max(xx)-min(xx))/4;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
subplot(221),plotland,axis([141 259 6 64]);
pltstate(long,lat,xx,s);hold on, plot(lx,ly,'w.'),
title('0-100m depth'),
 
xx=x(129:256)/5;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
subplot(222),plotland,axis([141 259 6 64]);
pltstate(long,lat,xx,s);hold on, plot(lx,ly,'w.'),
title('100-600m depth'),

xx=x(257:384)/10;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
subplot(223),plotland,axis([141 259 6 64]);
pltstate(long,lat,xx,s);hold on, plot(lx,ly,'w.'),
title('600-1600m depth'),

xx=x(385:512)/24;s=(max(xx)-min(xx))/5;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
subplot(224),plotland,axis([141 259 6 64]);
pltstate(long,lat,xx,s);hold on, plot(lx,ly,'w.'),
title('1600-4000m depth'),
